Name:           utop
Version:        2.2.0
Release:        2%{?dist}
Summary:        Improved toplevel for OCaml

License:        BSD
URL:            https://github.com/diml/utop
Source0:        https://github.com/diml/%{name}/releases/download/%{version}/%{name}-%{version}.tbz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-lambda-term
BuildRequires:  ocaml-cppo
BuildRequires:  jbuilder
BuildRequires:  opam-installer

# for utop.el
BuildRequires:  emacs-common
Requires:       emacs-filesystem

Provides:       ocaml-%{name}%{?_isa} =  %{version}-%{release}

%description
utop is an improved toplevel (i.e., Read-Eval-Print Loop) for
OCaml. It can run in a terminal or in Emacs. It supports line
editing, history, real-time and context sensitive completion,
colors, and more.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       ocaml-%{name}-devel%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%global debug_package %{nil}

%prep
%autosetup

%build
jbuilder build -p %{name} %{?_smp_mflags}

%install
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
jbuilder install --prefix %{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_mandir}/man{1,5}
mv %{buildroot}%{_prefix}/man/*.1 %{buildroot}%{_mandir}/man1
mv %{buildroot}%{_prefix}/man/*.5 %{buildroot}%{_mandir}/man5
rm -rf %{buildroot}%{_prefix}/doc

%files
%license LICENSE
%doc README.md CHANGES.md
%{_bindir}/%{name}*
%{_libdir}/ocaml/%{name}
%{_mandir}/man1/%{name}*
%{_mandir}/man5/%{name}*
%{_emacs_sitelispdir}/%{name}.el
%{_datadir}/%{name}
%exclude %{_libdir}/ocaml/%{name}/*.mli

%files devel
%doc README.md CHANGES.md
%{_libdir}/ocaml/%{name}/*.mli


%changelog
* Sun Aug 12 2018 Sergey Avseyev <sergey.avseyev@gmail.com> - 2.2.0-2
- Fix installing man pages

* Sun Jul 15 2018 Sergey Avseyev <sergey.avseyev@gmail.com> - 2.2.0-1
- Update to 2.2.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Apr 29 2018 Sergey Avseyev <sergey.avseyev@gmail.com> 2.1.0-2
- Rebuild with findlib 1.8.0

* Mon Mar 05 2018 Sergey Avseyev <sergey.avseyev@gmail.com> 2.1.0-1
- Initial packaging.
